Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(332)

Unified Diff: ports/gforth/build.sh

Issue 1594533003: Attempt to debug intermittent gforth build failures. (Closed) Base URL: https://chromium.googlesource.com/webports.git@cleanup_pnacl_build
Patch Set: Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ports/gforth/build.sh
diff --git a/ports/gforth/build.sh b/ports/gforth/build.sh
index 955b22eb07cd3c1c74b8bbf59a5dca34da201540..c0bcb244cba83bebf3e8c1c023b330f8325f6a71 100644
--- a/ports/gforth/build.sh
+++ b/ports/gforth/build.sh
@@ -16,7 +16,7 @@ MAKE_TARGETS="${EXECUTABLE}"
EnableCliMain
BuildHostGforth() {
- if [[ -f "${HOST_INSTALL_DIR}/bin/gforth-ditc" ]]; then
+ if [[ -f "${HOST_INSTALL_DIR}/bin/gforth" ]]; then
return
fi
Banner "Building ${PACKAGE_NAME} for host"
@@ -33,6 +33,13 @@ ConfigureStep() {
BuildHostGforth
Banner "Building ${PACKAGE_NAME} for NaCl"
export PATH="${HOST_INSTALL_DIR}/bin:${PATH}"
+ host_gforth=$(which gforth)
+ if [[ -z $host_gforth ]]; then
+ echo "Failed to find host version of gforth"
+ exit 1
+ else
+ echo "Host gforth found at: $(which gforth)"
+ fi
export skipcode=no
EnableGlibcCompat
ChangeDir ${BUILD_DIR}
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698